Subject: bug#74590: 31.0.50 [scratch/igc branch]; key input sometimes skip fcitx input method preedit box

From: Yikai Zhao <[email-masked]>
Date: Tue, 11 Feb 2025 19:45:14 +0800

Well, bad news, it still happens :(
Although I might say that it seems to happen less frequently. But my
memory is not reliable and there may be other factors in play...

On Mon, Feb 10, 2025 at 12:28 PM Yikai Zhao <[email-masked]> wrote:
>
> Hi,
>
> On Thu, Feb 6, 2025 at 8:18 AM Pip Cet <[email-masked]> wrote:
> >
> > "Yikai Zhao" <[email-masked]> writes:
> >
> > > Here attached the relevant output of "xscope".
> >
> > I know this must be inconvenient,
>
> No problem at all.
>
> > but can you try to check whether the
> > bug has resolved itself in the meantime?  I'm not a hundred percent
> > certain that the recent X changes might have had an effect, but there
> > was an issue with X popup menus, so maybe...
>
> I just quickly tested with the newest version of feature/igc and it
> does seem to have resolved the issue! I will now try to use this mps
> version as my daily driver and see if it's completely resolved or just
> reduced the probability. (Previously I switched back to master from
> the mps version because of this bug. Now I can continue to daily test
> the mps version. yeah)  I will let you know the result in a day or
> two.
>
> Thanks for your help!
>
> Yikai